base-4.6.0.1: Basic libraries

Portability | non-portable (requires POSIX)
Stability | provisional
Maintainer | libraries@haskell.org
Safe Haskell | Trustworthy

System.Posix.Types

Contents

- POSIX data types

Description

POSIX data types: Haskell equivalents of the types defined by the `<sys/types.h>` C header on a POSIX system.

Synopsis

- newtype CDev = CDev Int32
- newtype CIno = CIno Word64
- newtype CMode = CMode Word32
- newtype COff = COff Int64
- newtype CPid = CPid Int32
- newtype CSsize = CSsize Int64
- newtype CGid = CGid Word32
- newtype CNlink = CNlink Word32
- newtype CUid = CUid Word32
- newtype CCc = CCc Word8
- newtype CSpeed = CSpeed Word32
- newtype CTcflag = CTcflag Word32
- newtype CRLim = CRLim Word64
- newtype Fd = Fd CInt
- type LinkCount = CNlink
- type UserID = CUid
- type GroupID = CGid
- type ByteCount = CSize
- type ClockTick = CClock
- type EpochTime = CTime
- type FileOffset = COff
- type ProcessID = CPid
- type ProcessGroupID = CPid
- type DeviceID = CDev
- type FileID = CIno
- type FileMode = CMode
- type Limit = CLong

# POSIX data types

newtype CDev

Constructors

CDev Int32 |

Instances

Bounded CDev |
Enum CDev |
Eq CDev |
Integral CDev |
Num CDev |
Ord CDev |
Read CDev |
Real CDev |
Show CDev |
Typeable CDev |
Bits CDev |
Storable CDev |

newtype CIno

Constructors

CIno Word64 |

Instances

Bounded CIno |
Enum CIno |
Eq CIno |
Integral CIno |
Num CIno |
Ord CIno |
Read CIno |
Real CIno |
Show CIno |
Typeable CIno |
Bits CIno |
Storable CIno |

newtype CMode

Constructors

CMode Word32 |

Instances

Bounded CMode |
Enum CMode |
Eq CMode |
Integral CMode |
Num CMode |
Ord CMode |
Read CMode |
Real CMode |
Show CMode |
Typeable CMode |
Bits CMode |
Storable CMode |

newtype COff

Constructors

COff Int64 |

Instances

Bounded COff |
Enum COff |
Eq COff |
Integral COff |
Num COff |
Ord COff |
Read COff |
Real COff |
Show COff |
Typeable COff |
Bits COff |
Storable COff |

newtype CPid

Constructors

CPid Int32 |

Instances

Bounded CPid |
Enum CPid |
Eq CPid |
Integral CPid |
Num CPid |
Ord CPid |
Read CPid |
Real CPid |
Show CPid |
Typeable CPid |
Bits CPid |
Storable CPid |

newtype CSsize

Constructors

CSsize Int64 |

Instances

Bounded CSsize |
Enum CSsize |
Eq CSsize |
Integral CSsize |
Num CSsize |
Ord CSsize |
Read CSsize |
Real CSsize |
Show CSsize |
Typeable CSsize |
Bits CSsize |
Storable CSsize |

newtype CGid

Constructors

CGid Word32 |

Instances

Bounded CGid |
Enum CGid |
Eq CGid |
Integral CGid |
Num CGid |
Ord CGid |
Read CGid |
Real CGid |
Show CGid |
Typeable CGid |
Bits CGid |
Storable CGid |

newtype CNlink

Constructors

CNlink Word32 |

Instances

Bounded CNlink |
Enum CNlink |
Eq CNlink |
Integral CNlink |
Num CNlink |
Ord CNlink |
Read CNlink |
Real CNlink |
Show CNlink |
Typeable CNlink |
Bits CNlink |
Storable CNlink |

newtype CUid

Constructors

CUid Word32 |

Instances

Bounded CUid |
Enum CUid |
Eq CUid |
Integral CUid |
Num CUid |
Ord CUid |
Read CUid |
Real CUid |
Show CUid |
Typeable CUid |
Bits CUid |
Storable CUid |

newtype CCc

Constructors

CCc Word8 |

Instances

Enum CCc |
Eq CCc |
Num CCc |
Ord CCc |
Read CCc |
Real CCc |
Show CCc |
Typeable CCc |
Storable CCc |

newtype CSpeed

Constructors

CSpeed Word32 |

Instances

Enum CSpeed |
Eq CSpeed |
Num CSpeed |
Ord CSpeed |
Read CSpeed |
Real CSpeed |
Show CSpeed |
Typeable CSpeed |
Storable CSpeed |

newtype CTcflag

Constructors

CTcflag Word32 |

Instances

Bounded CTcflag |
Enum CTcflag |
Eq CTcflag |
Integral CTcflag |
Num CTcflag |
Ord CTcflag |
Read CTcflag |
Real CTcflag |
Show CTcflag |
Typeable CTcflag |
Bits CTcflag |
Storable CTcflag |

newtype CRLim

Constructors

CRLim Word64 |

Instances

Bounded CRLim |
Enum CRLim |
Eq CRLim |
Integral CRLim |
Num CRLim |
Ord CRLim |
Read CRLim |
Real CRLim |
Show CRLim |
Typeable CRLim |
Bits CRLim |
Storable CRLim |

newtype Fd

Constructors

Fd CInt |

Instances

Bounded Fd |
Enum Fd |
Eq Fd |
Integral Fd |
Num Fd |
Ord Fd |
Read Fd |
Real Fd |
Show Fd |
Typeable Fd |
Bits Fd |
Storable Fd |

type LinkCount = CNlink

type UserID = CUid

type GroupID = CGid

type ByteCount = CSize

type ClockTick = CClock

type EpochTime = CTime

type FileOffset = COff

type ProcessID = CPid

type ProcessGroupID = CPid

type DeviceID = CDev

type FileID = CIno

type FileMode = CMode

type Limit = CLong